## hobbit-plugins 20141201

=== debian/changelog ===
hobbit-plugins (20141201) unstable; urgency=medium

  * Fix parsing of "apt-cache policy" output in cases where the version of
    the first listed package only contains digits. (Closes: #770467)

 -- Axel Beckert <abe@debian.org>  Mon, 01 Dec 2014 12:33:05 +0100

hobbit-plugins (20141006) unstable; urgency=medium

  * mount-ro: Do not alert about read-only tmpfs mounts (Closes: #764197)

 -- Axel Beckert <abe@debian.org>  Mon, 06 Oct 2014 14:50:47 +0200

hobbit-plugins (20140924) unstable; urgency=medium

  * cciss: New check for hardware RAIDs in HP ProLiant servers
    + Suggest cciss-vol-status
  * Fix backporting script with regards to new versions in Depends
  * Also care about libs.yaml from backports in debian/maintscript
  * Also move known configuration files (which are not conffiles as only
    present if created by the local administrator) from /etc/hobbit/ to
    /etc/xymon/, too, unless already present there.
  * dirtyvcs: Now also supports wildcards in exclude lists (with "!")
  * Bump Standards-Version to 3.9.6 (no changes)
  * Update Vcs-Browser header to point to the new cgit web interface
  * Switch debian/rules to a minimal dh-style file.

 -- Axel Beckert <abe@debian.org>  Wed, 24 Sep 2014 17:00:26 +0200

=== debian/control ===
Source: hobbit-plugins
Section: net
Priority: extra
Maintainer: Christoph Berg <myon@debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 8.1.0~)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/hobbit-plugins.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hobbit-plugins.git
Homepage: http://xymon.sourceforge.net/

Package: hobbit-plugins
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: xymon-client (>= 4.3.17-2~),
         ${misc:Depends}
Recommends: binutils,
            dctrl-tools,
            libsort-naturally-perl,
            libyaml-tiny-perl,
            lsb-release,
            lsof,
            sudo (>= 1.7.2p1-1)
Suggests: bzr,
          cciss-vol-status,
          debsums,
          fping,
          git,
          ipmitool,
          libdbd-pg-perl,
          libfile-which-perl,
          liblist-moreutils-perl,
          libnet-tftp-perl,
          libpoe-component-irc-perl,
          libsysadm-install-perl,
          libtimedate-perl,
          mercurial,
          ntp,
          subversion
Enhances: backuppc,
          dphys-config,
          mailman,
          postfix
Description: plugins for the Xymon network monitor
 This package provides plugins for the Xymon network monitor. (Formerly called
 Hobbit.)
 .
 Included client plugins:
  * apt - check for outstanding updates
  * backuppc - check for errors reported by BackupPC servers (needs
    backuppc and sudo)
  * cciss - check hardware RAIDs in HP ProLiant servers (needs
    cciss-vol-status and sudo)
  * dirtyetc - check for conffiles which are modified compared to
    Debian's defaults but should not be (needs sudo and debsums,
    supports dphys-config)
  * dirtyvcs - check for dirty VCS working copies (supports Git,
    Mercurial, Bzr and Subversion, needs appropriate VCS packages
    and libfile-which-perl installed)
  * entropy - check kernel entropy pool size
  * ipmi - read IPMI sensors and event log (needs ipmitool)
  * libs - check for running processes with upgraded libraries
    (needs binutils, lsof, sudo, libyaml-tiny, and libsort-naturally-perl)
  * mailman - checks the existence of Mailman shunt files and aged
    queue files. (needs sudo)
  * mdstat - check for failed or resyncing RAID devices
  * mq - check (postfix's) mail queue (needs libtimedate-perl)
  * misc - meta plugin for running series of scripts (needs
    libsysadm-install-perl and liblist-moreutils-perl)
  * ntpq - check the ntpd daemon synchronization status (needs ntp)
  * postgres - statistics graphs for PostgreSQL databases (needs
    libdbd-pg-perl)
  * sftbnc - check if the local Postfix MTA has soft_bounce enabled.
  * temp - simple temperature monitor
 .
 Included server plugins:
  * aptdiff - monitor list of installed packages in host pools
  * conn6 - check IPv6 connectivity (needs fping)
  * ircbot - relay status changes to IRC (needs libpoe-component-irc-perl)
  * pgbouncer - monitor pool usage and traffic
  * tftp - checks TFTP servers by downloading a file from them
    (needs libnet-tftp-perl)
 .
 Helper software:
  * Hobbit.pm: Perl module for writing plugins
  * xynagios: adaptor for running Nagios plugins with Xymon (needs
    libsysadm-install-perl)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	if awk -F'[ ;]+' 'NR==1 {print $3}' debian/changelog | grep -iq backports; then debian/backport.sh; fi
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	if awk -F'[ ;]+' 'NR==1 {print $3}' debian/changelog | grep -iq backports; then debian/backport.sh undo; fi

## hobbit-plugins 20150729

=== Makefile ===
ETCFILES = dirty_vcs_dirs dirty_etc_ok libs.yaml
APTCONFFILES = 15hobbit-plugins-update-stamp
ETCDIRS = clientlaunch.d misc.d graphs.d xymonlaunch.d xymonserver.d
EXTDIRS = client-ext server-ext
MANS = xynagios.1 Hobbit.3pm

all: $(MANS)

xynagios.1: client-bin/xynagios
	pod2man $< > $@

Hobbit.3pm: perl/Hobbit.pm
	pod2man --section=3pm $< > $@

install: $(MANS)
	for dir in $(ETCDIRS) ; do \
		dest=$(DESTDIR)/etc/xymon/$$dir && \
		install -d $$dest && \
		install -m644 $$dir/* $$dest || exit 1 ; \
	done
	for file in $(ETCFILES) ; do \
		dest=$(DESTDIR)/etc/xymon && \
		install -d $$dest && \
		install -m644 etc/$$file $$dest || exit 1 ; \
	done
	for file in $(APTCONFFILES) ; do \
		dest=$(DESTDIR)/etc/apt/apt.conf.d && \
		install -d $$dest && \
		install -m644 etc/apt.conf.d/$$file $$dest || exit 1 ; \
	done
	chmod 755 $(DESTDIR)/etc/xymon/misc.d/*
	for dir in $(EXTDIRS) ; do \
		dest=$(DESTDIR)/usr/lib/xymon/`basename $$dir -ext`/ext && \
		install -d $$dest && \
		install $$dir/* $$dest || exit 1; \
	done
	dest=$(DESTDIR)/usr/lib/xymon/client/bin && \
	     install -d $$dest && \
	     install client-bin/* $$dest
	dest=$(DESTDIR)/etc/sudoers.d && \
	     install -d $$dest && \
	     install sudoers.d/* $$dest
	install -d $(DESTDIR)/usr/share/perl5
	install -m644 perl/* $(DESTDIR)/usr/share/perl5
	install -d $(DESTDIR)/usr/share/man/man1
	install -d $(DESTDIR)/usr/share/man/man3
	install -m644 xynagios.1 $(DESTDIR)/usr/share/man/man1
	install -m644 Hobbit.3pm $(DESTDIR)/usr/share/man/man3

clean:
	rm -f $(MANS)

test:
	prove -v

=== debian/changelog ===
hobbit-plugins (20150729) unstable; urgency=low

  [ Axel Beckert ]
  * mq:
    + Fix "Duplicate DS name: active{mail,recipient}s" RRD create error
      messages.
    + Support the non-default "enable_long_queue_ids=yes" Postfix setting.
    + Use "use warnings;" instead of "-w".
  * Replace the old non-functional one-liner syntax check in Makefile with
    a TAP/prove based syntax check to reliably detect syntax errors in perl
    scripts, plugins or modules at build-time.
    + Add b-d on libdbd-pg-perl, libfile-which-perl, libnet-tftp-perl,
      libpoe-component-irc-perl, libsort-naturally-perl,
      libsysadm-install-perl, libyaml-tiny-perl, and
      postgresql-client-common.
    + Add a BackupPC::Lib mockup class to avoid to b-d on backuppc.
  * Properly handle debian/postinst in debian/backport.sh.
  * Convert debian/copyright to machine-readable DEP5 format.
    + Update copyright years
    + Be more verbose with regards to file listings as required by DEP5.
  * apt:
    + Support apt repositories with no explicit distribution being set,
      e.g. with a "deb http://server/path/ /" type source.list
      entry. Thanks to Patrick Schmid for bug report and example!
    + Add source code comments with examples what should be matched for
      less obvious regular expresssions. Also remove the one outdated
      example. (It lacks the architecture column/field.)
    + Support packages of foreign architectures which are not shown with
      their architecture with "dpkg --get-selections".
  * temp:
    + Reports now "clear" unless it knows alarm thresholds.
    + Use three-parameter open().
    + Support coretemp interface.
    + Support hddtemp (either via sudo or TCP socket)
    + Support disks behind Areca RAID controllers via smartctl
      - Suggest smartctl.
    + Support NVidia GPUs with non-free binary blob driver
      - Suggest libxml-twig-perl.
    + Add license text.
    + Add myself as author to debian/copyright.
  * debian/rules:
    + Don't run debian/backports.sh for backports to Jessie.
    + Support backports to Precise.
    + Use "dpkg-parsechangelog -S" to parse debian/changelog.
      - Build-Depend on dpkg-dev >= 1.17.
  * Reflow overlong lines and fix typo in package description.
  * New check cntrk for monitoring the size of the Netfilter Connection
    Tracking table.
    + Add new Build-Depends/Suggests on libfile-slurp-perl
  * Add new client-side DNS check "dnsq" by David Bremner.
    + Disabled by default.
    + Add (build-) dependencies on libnet-dns-perl.
    + Closes: #696935
    + Modifications compared to original patch: Reports fail state if
      Net::DNS::Resolver couldn't be loaded. Only uses www.debian.org and
      kernel.org as default queries.

  [ Christoph Berg ]
  * ircbot: squeeze newlines in retrieved ackmsgs

 -- Axel Beckert <abe@debian.org>  Wed, 29 Jul 2015 18:21:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,18 @@
 Priority: extra
 Maintainer: Christoph Berg <myon@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 8.1.0~)
+Build-Depends: debhelper (>= 8.1.0~),
+               dpkg-dev (>= 1.17),
+               libdbd-pg-perl,
+               libfile-which-perl,
+               libfile-slurp-perl,
+               libnet-dns-perl,
+               libnet-tftp-perl,
+               libpoe-component-irc-perl,
+               libsort-naturally-perl,
+               libsysadm-install-perl,
+               libyaml-tiny-perl,
+               postgresql-client-common
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/hobbit-plugins.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hobbit-plugins.git
@@ -26,24 +37,30 @@
           debsums,
           fping,
           git,
+          hddtemp,
           ipmitool,
           libdbd-pg-perl,
           libfile-which-perl,
+          libfile-slurp-perl,
           liblist-moreutils-perl,
+          libnet-dns-perl,
           libnet-tftp-perl,
           libpoe-component-irc-perl,
           libsysadm-install-perl,
           libtimedate-perl,
+          libxml-twig-perl,
           mercurial,
           ntp,
+          nvidia-smi,
+          smartctl,
           subversion
 Enhances: backuppc,
           dphys-config,
           mailman,
           postfix
 Description: plugins for the Xymon network monitor
- This package provides plugins for the Xymon network monitor. (Formerly called
- Hobbit.)
+ This package provides plugins for the Xymon network monitor.
+ (Formerly called Hobbit.)
  .
  Included client plugins:
   * apt - check for outstanding updates
@@ -51,16 +68,20 @@
     backuppc and sudo)
   * cciss - check hardware RAIDs in HP ProLiant servers (needs
     cciss-vol-status and sudo)
+  * cntrk - check the size of the Netfilter Connection Tracking table.
+    (needs libfile-slurp-perl)
   * dirtyetc - check for conffiles which are modified compared to
     Debian's defaults but should not be (needs sudo and debsums,
     supports dphys-config)
   * dirtyvcs - check for dirty VCS working copies (supports Git,
     Mercurial, Bzr and Subversion, needs appropriate VCS packages
     and libfile-which-perl installed)
+  * dnsq - checks for working DNS on clients (needs libnet-dns-perl
+    and libfile-slurp-perl)
   * entropy - check kernel entropy pool size
   * ipmi - read IPMI sensors and event log (needs ipmitool)
-  * libs - check for running processes with upgraded libraries
-    (needs binutils, lsof, sudo, libyaml-tiny, and libsort-naturally-perl)
+  * libs - check for running processes with upgraded libraries (needs
+    binutils, lsof, sudo, libyaml-tiny-perl, and libsort-naturally-perl)
   * mailman - checks the existence of Mailman shunt files and aged
     queue files. (needs sudo)
   * mdstat - check for failed or resyncing RAID devices
@@ -71,12 +92,15 @@
   * postgres - statistics graphs for PostgreSQL databases (needs
     libdbd-pg-perl)
   * sftbnc - check if the local Postfix MTA has soft_bounce enabled.
-  * temp - simple temperature monitor
+  * temp - simple temperature monitor (needs libfile-which-perl;
+    depending on the hardware to monitor it optionally also needs
+    hddtemp, smartctl, libxml-twig-perl, nvidia-smi (non-free), sudo)
  .
  Included server plugins:
   * aptdiff - monitor list of installed packages in host pools
   * conn6 - check IPv6 connectivity (needs fping)
-  * ircbot - relay status changes to IRC (needs libpoe-component-irc-perl)
+  * ircbot - relay status changes to IRC (needs
+    libpoe-component-irc-perl)
   * pgbouncer - monitor pool usage and traffic
   * tftp - checks TFTP servers by downloading a file from them
     (needs libnet-tftp-perl)

## hobbit-plugins 20151005

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-ETCFILES = dirty_vcs_dirs dirty_etc_ok libs.yaml
+ETCFILES = dirty_vcs_dirs dirty_etc_ok libs.yaml temp.yaml
 APTCONFFILES = 15hobbit-plugins-update-stamp
 ETCDIRS = clientlaunch.d misc.d graphs.d xymonlaunch.d xymonserver.d
 EXTDIRS = client-ext server-ext

=== debian/changelog ===
hobbit-plugins (20151005) unstable; urgency=medium

  * temp: Handle cases where nvidia-smi doesn't return XML despite being
    requested to do so. ("NVIDIA: API mismatch" and friends)

 -- Axel Beckert <abe@debian.org>  Mon, 05 Oct 2015 18:49:22 +0200

hobbit-plugins (20150923) unstable; urgency=medium

  * Raise default disk temp. thresholds to 47°C (yellow) and 55°C (red).
  * Add /etc/xymon/temp.yaml and /etc/xymon/temp.local.yaml to be able to
    configure individual temperatures thresholds.

 -- Axel Beckert <abe@debian.org>  Wed, 23 Sep 2015 17:53:49 +0200

=== debian/control ===
--- 
+++ 
@@ -92,9 +92,10 @@
   * postgres - statistics graphs for PostgreSQL databases (needs
     libdbd-pg-perl)
   * sftbnc - check if the local Postfix MTA has soft_bounce enabled.
-  * temp - simple temperature monitor (needs libfile-which-perl;
-    depending on the hardware to monitor it optionally also needs
-    hddtemp, smartctl, libxml-twig-perl, nvidia-smi (non-free), sudo)
+  * temp - simple temperature monitor (needs libfile-which-perl and
+    libyaml-tiny-perl; depending on the hardware to monitor it optionally
+    also needs hddtemp, smartctl, libxml-twig-perl, nvidia-smi (non-free),
+    sudo)
  .
  Included server plugins:
   * aptdiff - monitor list of installed packages in host pools

## hobbit-plugins 20160122

=== debian/changelog ===
hobbit-plugins (20160122) unstable; urgency=low

  [ Christoph Berg ]
  * Restructure source to "make install" easier.
  * misc, xynagios: Rewrite to use IPC::Run.
  * Install xynagios to /usr/bin (but provide symlink from old location).
  * xynagios: Add --test option and options to configure RRD trends data.
  * Add t/xynagios.t.

  [ Axel Beckert ]
  * temp: Fix uninitialized values if /sys/devices/platform/*/temp*_input
    exists, has read permissions, but is still not readable.
  * Fix the remaining occurrences of "bb-hosts" in the documentation.
  * libs: Don't warn if no kernel is found, e.g. in containers. (LP:
    #1534220)
  * Remove obsolete "GPL-2" license paragraph in debian/copyright. Thanks
    Lintian!
  * Bump debhelper compatibility to 9 as recommended.
  * mq:
    + Recognize when GMail/Google is blocking the monitored server.
    + Ignore possible RBL issues from ocmail<somenumber>.in.
    + Don't count greylisting, local problems on the remote server, too
      much load on the remote server or shutting down servers as RBL
      issues.
  * Get test suite working again by adding a symlink lib →
    src/usr/share/perl5. Also replace "perl -Iperl" in individual tests by
    using "prove -l". That way (using "lib" instead of "perl" as source
    code path name) the test suite is also closer to what's standard in
    the Perl community.

  [ Mathias Merscher ]
  * Add /etc/xymon/plugins.yaml for plugin configuration.
  * Make entropy and ntpq tests configurable, add ntpq graph.
  * Add netstats test.

 -- Axel Beckert <abe@debian.org>  Fri, 22 Jan 2016 15:13:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: extra
 Maintainer: Christoph Berg <myon@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 8.1.0~),
+Build-Depends: debhelper (>= 9~),
                dpkg-dev (>= 1.17),
                libdbd-pg-perl,
                libfile-which-perl,
                libfile-slurp-perl,
+               libipc-run-perl,
                libnet-dns-perl,
                libnet-tftp-perl,
                libpoe-component-irc-perl,
                libsort-naturally-perl,
-               libsysadm-install-perl,
                libyaml-tiny-perl,
-               postgresql-client-common
+               postgresql-client-common,
+               rsync
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/hobbit-plugins.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hobbit-plugins.git
@@ -42,11 +43,11 @@
           libdbd-pg-perl,
           libfile-which-perl,
           libfile-slurp-perl,
+          libipc-run-perl,
           liblist-moreutils-perl,
           libnet-dns-perl,
           libnet-tftp-perl,
           libpoe-component-irc-perl,
-          libsysadm-install-perl,
           libtimedate-perl,
           libxml-twig-perl,
           mercurial,
@@ -87,7 +88,7 @@
   * mdstat - check for failed or resyncing RAID devices
   * mq - check (postfix's) mail queue (needs libtimedate-perl)
   * misc - meta plugin for running series of scripts (needs
-    libsysadm-install-perl and liblist-moreutils-perl)
+    libipc-run-perl)
   * ntpq - check the ntpd daemon synchronization status (needs ntp)
   * postgres - statistics graphs for PostgreSQL databases (needs
     libdbd-pg-perl)
@@ -109,4 +110,4 @@
  Helper software:
   * Hobbit.pm: Perl module for writing plugins
   * xynagios: adaptor for running Nagios plugins with Xymon (needs
-    libsysadm-install-perl)
+    libipc-run-perl)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	if dpkg-parsechangelog -S distribution | egrep -iq '(squeeze|wheezy|oldstable|precise)-backports'; then debian/backport.sh; fi
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	if dpkg-parsechangelog -S distribution | egrep -iq '(squeeze|wheezy|oldstable|precise)-backports'; then debian/backport.sh undo; fi

## hobbit-plugins 20170122

=== debian/changelog ===
hobbit-plugins (20170122) unstable; urgency=medium

  * Fix wrong package name in Suggest, long package description and
    documentation: smartctl → smartmontools
  * libs: By default ignore all files opened by /usr/sbin/memlockd.
    memlockd's purpose is to have them open and in RAM, so it permanently
    causes nearly always false positives.
  * Replace prename with rename in debian/backports.sh.
  * Switch Vcs-Git header from git:// to https://.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * apt: Ignore "ic" state occasionally reported by "dpkg-query --list".
    (Closes: #851793)

 -- Axel Beckert <abe@debian.org>  Sun, 22 Jan 2017 14:54:14 +0100

## hobbit-plugins 20170219

=== debian/changelog ===
hobbit-plugins (20170219) unstable; urgency=low

  * dirtyvcs: Update regular expression to detect clean git
    repositories. (Closes: #852824)

 -- Axel Beckert <abe@debian.org>  Sun, 19 Feb 2017 21:09:58 +0100

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
                libyaml-tiny-perl,
                postgresql-client-common,
                rsync
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/hobbit-plugins.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/hobbit-plugins.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hobbit-plugins.git
 Homepage: http://xymon.sourceforge.net/
 
@@ -53,7 +53,7 @@
           mercurial,
           ntp,
           nvidia-smi,
-          smartctl,
+          smartmontools,
           subversion
 Enhances: backuppc,
           dphys-config,
@@ -95,8 +95,8 @@
   * sftbnc - check if the local Postfix MTA has soft_bounce enabled.
   * temp - simple temperature monitor (needs libfile-which-perl and
     libyaml-tiny-perl; depending on the hardware to monitor it optionally
-    also needs hddtemp, smartctl, libxml-twig-perl, nvidia-smi (non-free),
-    sudo)
+    also needs hddtemp, smartmontools, libxml-twig-perl, nvidia-smi
+    (non-free), sudo)
  .
  Included server plugins:
   * aptdiff - monitor list of installed packages in host pools

## hobbit-plugins 20170628

=== debian/changelog ===
hobbit-plugins (20170628) unstable; urgency=medium

  * Team upload.
  * libs: Use 'unknown' for unknown user names.
  * Bump S-V to 4.0.0; remove path from invoke-rc.d in postinst.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 28 Jun 2017 14:18:00 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libyaml-tiny-perl,
                postgresql-client-common,
                rsync
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/hobbit-plugins.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hobbit-plugins.git
 Homepage: http://xymon.sourceforge.net/

## hobbit-plugins 20180610

=== debian/changelog ===
hobbit-plugins (20180610) unstable; urgency=low

  [ Axel Beckert ]
  * Add "aptitude" to "Enhances:" as there is a relation with aptitude,
    but none which should encourage the installation of aptitude.
  * Mention aptitude and dctrl-tools in context of the apt plugin.
  * Declare compliance with Debian Policy 4.1.4.
    + Use HTTPS in debian/copyright DEP5 format URL.
    + Set Priority to optional.
  * Remove trailing whitespace from an ancient debian/changelog entry.
  * Add debian/.debhelper/ to .gitignore.
  * Set "Rules-Requires-Root: no".
  * debian/copyright: Update Stéphane's e-mail address to his last known
    to be used in public one. Broken e-mail address reported by DUCK.
  * /etc/xymon/misc.d/mount-ro: Blacklist filesystems proc and sysfs, too.
  * Add new local check "net" which monitors network interfaces for
    desired states.
  * Override lintian warning source-contains-empty-directory for
    src/usr/share/man/man*/.
  * Update Vcs-* header for move to Salsa.
  * Whitelist multipath-related /[aio] false positives for mysql/mariadb
    servers in libs check. Thanks to Daniel Rieken for the bug report!
    (Closes: #873838)
  * The libs check now also checks for /var/run/reboot-required and
    friends. Thanks to Andy Farrior for that suggestion. (Closes: #868183)
    Note: this adds libfile-slurp-perl to the lib check's dependencies.

  [ Christoph Berg ]
  * Add spec file for building RPM packages.
  * Add yum test, disabled by default.
  * misc.d/zombies: Suppress warning if user name is not resolvable.

  [ Mathias Merscher ]
  * Fix misc.d/zombies issues with more recent linux kernels which seem to
    jhave added empty lines to /proc/$pid/status.

  [ Jon Barber ]
  * Fix accidentally hardcoded package name in some special case handling
    in the apt check. (Closes: #819738)

 -- Axel Beckert <abe@debian.org>  Sun, 10 Jun 2018 21:20:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: hobbit-plugins
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Christoph Berg <myon@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper (>= 9~),
@@ -16,10 +16,11 @@
                libyaml-tiny-perl,
                postgresql-client-common,
                rsync
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/hobbit-plugins.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/hobbit-plugins.git
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/debian/hobbit-plugins.git
+Vcs-Browser: https://salsa.debian.org/debian/hobbit-plugins
 Homepage: http://xymon.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: hobbit-plugins
 Architecture: all
@@ -36,10 +37,12 @@
 Suggests: bzr,
           cciss-vol-status,
           debsums,
+          ethtool,
           fping,
           git,
           hddtemp,
           ipmitool,
+          iproute2 | net-tools,
           libdbd-pg-perl,
           libfile-which-perl,
           libfile-slurp-perl,
@@ -55,7 +58,8 @@
           nvidia-smi,
           smartmontools,
           subversion
-Enhances: backuppc,
+Enhances: aptitude,
+          backuppc,
           dphys-config,
           mailman,
           postfix
@@ -64,7 +68,8 @@
  (Formerly called Hobbit.)
  .
  Included client plugins:
-  * apt - check for outstanding updates
+  * apt - check for outstanding updates (uses aptitude and dctrl-tools
+    if installed)
   * backuppc - check for errors reported by BackupPC servers (needs
     backuppc and sudo)
   * cciss - check hardware RAIDs in HP ProLiant servers (needs
@@ -82,7 +87,8 @@
   * entropy - check kernel entropy pool size
   * ipmi - read IPMI sensors and event log (needs ipmitool)
   * libs - check for running processes with upgraded libraries (needs
-    binutils, lsof, sudo, libyaml-tiny-perl, and libsort-naturally-perl)
+    binutils, lsof, sudo, libyaml-tiny-perl, libfile-slurp-perl and
+    libsort-naturally-perl)
   * mailman - checks the existence of Mailman shunt files and aged
     queue files. (needs sudo)
   * mdstat - check for failed or resyncing RAID devices

## hobbit-plugins 20180711

=== debian/changelog ===
hobbit-plugins (20180711) unstable; urgency=medium

  * net:
    + Support checking amount of packages per ten seconds (via
      /proc/net/dev, similar to "netstat -i")
    + Support checking for minima or maxima instead of just fixed values
      or the presence of keywords.
    + The check now requires libfile-slurp-perl as new dependency.
    + Mention check in long package description.
    + Better error handling if YAML::Tiny can't parse the config file.
    + Document issues with older versions of YAML::Tiny in README.md.
  * Hobbit.pm:
    + Under some circumstances the die handler gets a scalar ref instead
      of just a scalar. Handle that case and dereference the scalar ref
      first in that case.
    + Add trailing newlines to various outputs of croak() and moan() for
      better readability.
  * Fix typo in previous changelog entry.
  * Move libfile-slurp-perl from Suggests to Recommends as it is now used
    by the libs check which is enabled by default. Thanks to Jaap Winius!
    (Closes: #903493)
  * Declare compliance with Debian Policy 4.1.5. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Wed, 11 Jul 2018 01:35:21 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libyaml-tiny-perl,
                postgresql-client-common,
                rsync
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Vcs-Git: https://salsa.debian.org/debian/hobbit-plugins.git
 Vcs-Browser: https://salsa.debian.org/debian/hobbit-plugins
 Homepage: http://xymon.sourceforge.net/
@@ -29,6 +29,7 @@
          ${misc:Depends}
 Recommends: binutils,
             dctrl-tools,
+            libfile-slurp-perl,
             libsort-naturally-perl,
             libyaml-tiny-perl,
             lsb-release,
@@ -45,7 +46,6 @@
           iproute2 | net-tools,
           libdbd-pg-perl,
           libfile-which-perl,
-          libfile-slurp-perl,
           libipc-run-perl,
           liblist-moreutils-perl,
           libnet-dns-perl,
@@ -95,6 +95,9 @@
   * mq - check (postfix's) mail queue (needs libtimedate-perl)
   * misc - meta plugin for running series of scripts (needs
     libipc-run-perl)
+  * net - check network interface states (needs libfile-which-perl,
+    libfile-slurp-perl, libipc-run-perl, libyaml-tiny-perl, either
+    iproute2 or net-tools and optionally ethtool).
   * ntpq - check the ntpd daemon synchronization status (needs ntp)
   * postgres - statistics graphs for PostgreSQL databases (needs
     libdbd-pg-perl)

## hobbit-plugins 20181101

=== debian/changelog ===
hobbit-plugins (20181101) unstable; urgency=medium

  * libs.yaml:
    - Whitelist "/memfd:" pseudo files (used by at least pulseaudio and
      Xorg) causing false positive. Thanks Alex Myczko for the report!
    - Whitelist "/var/lib/nfs/etab". Thanks Alex Myczko for the report!
  * Declare compliance with Debian Policy 4.2.1.
    + misc.d/zombies: Use "#!/usr/bin/perl", not "#!/usr/bin/env perl".
  * Ignore squashfs mounts for misc.d/mount-ro check. (LP: #1798557)
  * Add build-dependencies on libdate-parse-perl + liblist-moreutils-perl
    to fix failing tests and FTBFS. (Closes: #912104) Thanks Adrian Bunk!
  * backuppc:
    + Refactor code to make it more readable and use modern perl features.
    + Add options for hosts which should always cause a alert or always
      only cause a warning independent of the severity of the error.

 -- Axel Beckert <abe@debian.org>  Thu, 01 Nov 2018 00:42:55 +0100

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,16 @@
                libfile-which-perl,
                libfile-slurp-perl,
                libipc-run-perl,
+               liblist-moreutils-perl,
                libnet-dns-perl,
                libnet-tftp-perl,
                libpoe-component-irc-perl,
                libsort-naturally-perl,
+               libtimedate-perl,
                libyaml-tiny-perl,
                postgresql-client-common,
                rsync
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/debian/hobbit-plugins.git
 Vcs-Browser: https://salsa.debian.org/debian/hobbit-plugins
 Homepage: http://xymon.sourceforge.net/

## hobbit-plugins 20190129

=== debian/changelog ===
hobbit-plugins (20190129) unstable; urgency=medium

  * Fix typo in previous changelog entry.
  * Consider LTS updates to be security updates and display them as red.
  * misc.d/zombies, client/ext/apt: Rename variable "$ext_apt_config" to
    "$xymon_config_dir".
  * mq: Adapt recognition of local issues to the fact that postfix now
    also includes an explanation in the error message. Thanks to Claude
    Becker for reporting the issue!
  * Declare compliance with Debian Policy 4.3.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Tue, 29 Jan 2019 15:00:08 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libyaml-tiny-perl,
                postgresql-client-common,
                rsync
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/hobbit-plugins.git
 Vcs-Browser: https://salsa.debian.org/debian/hobbit-plugins
 Homepage: http://xymon.sourceforge.net/

## hobbit-plugins 20190129+nmu1

=== debian/changelog ===
hobbit-plugins (20190129+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:38:31 +0800

## hobbit-plugins 20191218

=== debian/changelog ===
hobbit-plugins (20191218) unstable; urgency=medium

  [ Axel Beckert ]
  * Change Homepage header from xymon.sf.net to the README on Salsa.
  * Mention Xymon, a link to its project website as well as the old name
    "Hobbit" and the model "Big Brother" prominently in the README.
  * net: Fix an "uninitialized value" warning if no config file was found.
  * Suggest libpoe-component-sslify-perl as it's needed for the ircbot
    plugin if running with IRC_SSL=1 configured.
  * apt: Handle forbidden and architecture-dependent packages properly.
  * misc.d/zombies: Add minimal HTML escaping to the output of "ps".
  * Declare compliance with Debian Policy 4.4.1. (No changes needed.)
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.
  * Add a shallow, xynagios-based megaraid check. (Depends on the
    unofficial megaclisas-status and the non-free, binary-only megacli
    packages from https://hwraid.le-vert.net/wiki/DebianPackages.)
  * Document helper tools and yum plugin in README.md, too.

  [ Christian Herzog ]
  * temp: Support ignoring specific thermal_zones.

  [ Christoph Berg ]
  * libs: Use 'unknown' for unknown user names in yet another place.
  * Add debian/gitlab-ci.yml.

  [ Janosch Bühler ]
  * tftp:
    + Don't just check if there's a reply, also check if it's an error.
    + Re-indent code, make it more readable.

 -- Axel Beckert <abe@debian.org>  Wed, 18 Dec 2019 00:39:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christoph Berg <myon@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.17),
                libdbd-pg-perl,
                libfile-which-perl,
@@ -18,10 +18,10 @@
                libyaml-tiny-perl,
                postgresql-client-common,
                rsync
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/debian/hobbit-plugins.git
 Vcs-Browser: https://salsa.debian.org/debian/hobbit-plugins
-Homepage: http://xymon.sourceforge.net/
+Homepage: https://salsa.debian.org/debian/hobbit-plugins#readme
 Rules-Requires-Root: no
 
 Package: hobbit-plugins
@@ -53,8 +53,10 @@
           libnet-dns-perl,
           libnet-tftp-perl,
           libpoe-component-irc-perl,
+          libpoe-component-sslify-perl,
           libtimedate-perl,
           libxml-twig-perl,
+          megaclisas-status,
           mercurial,
           ntp,
           nvidia-smi,
@@ -94,6 +96,9 @@
   * mailman - checks the existence of Mailman shunt files and aged
     queue files. (needs sudo)
   * mdstat - check for failed or resyncing RAID devices
+  * megaraid - check state of LSI MegaRAID SAS controllers (uses
+    xynagios, see below, and additionally needs megaclisas-status from
+    https://hwraid.le-vert.net/wiki/DebianPackages and sudo)
   * mq - check (postfix's) mail queue (needs libtimedate-perl)
   * misc - meta plugin for running series of scripts (needs
     libipc-run-perl)
@@ -108,6 +113,8 @@
     libyaml-tiny-perl; depending on the hardware to monitor it optionally
     also needs hddtemp, smartmontools, libxml-twig-perl, nvidia-smi
     (non-free), sudo)
+  * yum - check for outstanding updates on RPM based distros (not
+    usable on Debian and derivatives).
  .
  Included server plugins:
   * aptdiff - monitor list of installed packages in host pools

## hobbit-plugins 20200525

=== debian/changelog ===
hobbit-plugins (20200525) unstable; urgency=medium

  [ Lars Kollstedt ]
  * dirtyetc: fix initial error color.

  [ Axel Beckert ]
  * Suggest apt-config-auto-update as it makes the apt plugin more useful.
  * Add lintian override for breakout-link. Symlinks to adhere FHS and
    still work with upstream's idea of path names can't be an issue.

  [ Christoph Berg ]
  * apt: Support s3:// URLs.

 -- Christoph Berg <myon@debian.org>  Thu, 17 Sep 2020 10:45:15 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libyaml-tiny-perl,
                postgresql-client-common,
                rsync
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/hobbit-plugins.git
 Vcs-Browser: https://salsa.debian.org/debian/hobbit-plugins
 Homepage: https://salsa.debian.org/debian/hobbit-plugins#readme
@@ -37,7 +37,8 @@
             lsb-release,
             lsof,
             sudo (>= 1.7.2p1-1)
-Suggests: bzr,
+Suggests: apt-config-auto-update,
+          bzr,
           cciss-vol-status,
           debsums,
           ethtool,

## hobbit-plugins 20201127

=== Makefile ===
MANS = src/usr/share/man/man1/xynagios.1 src/usr/share/man/man3/Hobbit.3pm

all: $(MANS)

src/usr/share/man/man1/xynagios.1: src/usr/bin/xynagios
	mkdir -p $(dir $@)
	pod2man $< > $@

src/usr/share/man/man3/Hobbit.3pm: src/usr/share/perl5/Hobbit.pm
	mkdir -p $(dir $@)
	pod2man --section=3pm $< > $@

install: $(MANS)
	rsync -ar src/ $(DESTDIR)/

clean:
	rm -f $(MANS)

test:
	prove -v -l

=== debian/changelog ===
hobbit-plugins (20201127) unstable; urgency=medium

  [ Christoph Berg ]
  * Remove backporting code, wheezy and precise are long gone.

  [ Axel Beckert ]
  * Fix parsing of ntpq output: positive offsets have a leading plus sign
    now. Thanks to Maciej Bonin! (Closes: #953552)
  * debian/copyright: Drop redundant pattern "debian/*". Thanks Lintian!
  * Bump debhelper-compat to 13.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Fri, 27 Nov 2020 14:50:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christoph Berg <myon@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17),
                libdbd-pg-perl,
                libfile-which-perl,
@@ -18,7 +18,7 @@
                libyaml-tiny-perl,
                postgresql-client-common,
                rsync
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/hobbit-plugins.git
 Vcs-Browser: https://salsa.debian.org/debian/hobbit-plugins
 Homepage: https://salsa.debian.org/debian/hobbit-plugins#readme

## hobbit-plugins 20220406

=== debian/changelog ===
hobbit-plugins (20220406) unstable; urgency=medium

  [ Axel Beckert ]
  * misc.d/mount-ro:
    + Ignore all FUSE mounts, too. These are often used for forensic
      mounting of images and seldomly used in production with file systems
      which mount themselves read-only in case of error. And the latter is
      what this mini-check should monitor.
    + Also ignore mounts with file system "ramfs". (Used by recent systemd
      under /run/credentials/systemd-sysusers.service.)
  * net:
    - Bugfix: Output original command with a "(cached)" suffix, if the
      original command had output on STDERR. (Previously in this case an
      empty string was shown as command.)
    - Improvement: Ignore all "Operation not permitted" warnings as long
      as we get all the information we wanted.
    - Support "MTU" as alias for "mtu".
    - Fix minor documentation issue in README.
  * yum:
    - Fix reporting of certificate issues on RHEL 7.
    - Fix running without Xymon environment for debugging.
    - Fix issue with missing semicolon.
  * Bump copyright years in various places.
  * Add long forgotten /etc/xymon/graphs.d/mq.cfg file. Thanks Carsten
    Leonhardt! (Closes: #995251)
  * Add lintian override for non-standard-file-perm in /etc/sudoers.d/.
    (See bug report #995261 against lintian.)
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)
  * libs: Add default whitelist entry for /var/lib/postgresql/.
  * cciss: Support SmartPQI RAID controllers by passing -u aka
    --try-unknown-devices to cciss_vol_status.

  [ Christoph Berg ]
  * libs.yaml: Ignore tmp files from spotify.
  * Drop Suggests: hddtemp. (Closes: #1001950)

  [ Jacek Tomasiak ]
  * Add drivetemp support to temp test.

 -- Christoph Berg <myon@debian.org>  Wed, 06 Apr 2022 11:26:35 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libyaml-tiny-perl,
                postgresql-client-common,
                rsync
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/hobbit-plugins.git
 Vcs-Browser: https://salsa.debian.org/debian/hobbit-plugins
 Homepage: https://salsa.debian.org/debian/hobbit-plugins#readme
@@ -44,7 +44,6 @@
           ethtool,
           fping,
           git,
-          hddtemp,
           ipmitool,
           iproute2 | net-tools,
           libdbd-pg-perl,

## hobbit-plugins 20230211

=== debian/changelog ===
hobbit-plugins (20230211) unstable; urgency=medium

  [ Axel Beckert ]
  * dirtyvcs: Automatically add existing repositories from
    /etc/xymon/dirty_vcs_dirs to /var/lib/xymon/.gitconfig's
    safe.directory setting to handle fallout of the fix for
    CVE-2022-24765. Thanks to Christian Herzog for the bug report!
    + Change owner and group of /var/lib/xymon/ to xymon:xymon.
  * Remove postinst code relevant for hobbit to xymon migration.
  * Remove debian/maintscript completely. Was relevant for migrations
    before 2015, i.e. before oldoldstable.
  * Replace all occurrences of egrep and fgrep with grep -E/-F.
    Thanks tarzeau for reporting this!
  * Fix typo in comment in libs.yaml.
  * yum: Don't count "Errno" as alert if it is prepended by a dash or
    followed by a full stop, e.g. in package names like perl-Errno.x86_64.
  * Mention explicitly in the package description that hard dependencies
    of plugins enabled by default are listed in Recommends and
    dependencies of plugins disabled by default are listed in
    Suggests. Based on the according comment in debian-goodies' package
    description. (Closes: #1016162)
  * Fix bogus "Last apt update: -0.0 day(s) ago" warning by adding a small
    tolerance. (Closes: #1021775)
  * Split off the kernel/reboot check from the libs check into a separate
    check. (Closes: #752776)
    + Do not warn (and just report "clear") if the kernel image can't be
      parsed. This doesn't prompt for an action by the administrator.
      (Currently a common, but non-trivial issue on armhf, see
      /usr/share/doc/hobbit-plugins/TODO.)
  * temp:
    + Suppress grep error message if a host has no
      /sys/class/scsi_generic/.
    + Also support more than 26 (and up to 676) disks, i.e. disks named
      /dev/sdaa to /dev/sdzz).
    + Support NVMe block devices via drivetemp.
    + Consistent paths below /sys/devices/platform/ and /sys/devices/pci*.
    + Completely remove hddtemp support. (Really closes: #1001950)
    + Report "clear" if no thermal zones or hwmons are found. Avoids going
      purple after hddtemp has been removed.
    + Report "yellow" if no thermal zones or hwmons are found and
      "drivetemp" driver is not loaded.
    + Fix "Use of uninitialized value" errors in exception handling.
  * Declare compliance with Debian Policy 4.6.2.
  * Add new server-side "xcl" check to query Lenovo XClarity API for
    hardware failure events. (disabled by default; add Suggests and B-D on
    libmojolicious-perl for usage of Mojo::JSON and Mojo::UserAgent)
  * Use more precise Files stanzas and update years in debian/copyright.
  * Also update my copyright years in some plugins.

  [ Adam Goryachev ]
  * kern: Be less strict in parsing kernel versions, allow trailing
    garbage as present on Ubuntu for Raspberry Pi. (LP: #1904807)

  [ Adam Thorn ]
  * apt: Properly parse phased packages on Ubuntu. (LP: #2002391,
    #2003062, #1995481)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Drop versioned build-dependency on essential package dpkg-dev.
    + Drop versioned pre-dependency on essential package dpkg.
    + Drop versioned constraint in dependency on xymon-client.
    + Drop versioned constraint in recommendation on sudo.

 -- Axel Beckert <abe@debian.org>  Sun, 12 Feb 2023 06:42:00 +0100

## hobbit-plugins 20230301

=== debian/changelog ===
hobbit-plugins (20230301) unstable; urgency=high

  * /etc/sudoers.d/xymon: Quote all user names to avoid clashes with
    possible future keywords as just happened with the new "list" keyword
    since sudo 1.9.13p1. (Closes: #1032144)

 -- Axel Beckert <abe@debian.org>  Wed, 01 Mar 2023 05:25:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Christoph Berg <myon@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.17),
                libdbd-pg-perl,
                libfile-which-perl,
                libfile-slurp-perl,
                libipc-run-perl,
                liblist-moreutils-perl,
+               libmojolicious-perl,
                libnet-dns-perl,
                libnet-tftp-perl,
                libpoe-component-irc-perl,
@@ -18,7 +18,7 @@
                libyaml-tiny-perl,
                postgresql-client-common,
                rsync
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/hobbit-plugins.git
 Vcs-Browser: https://salsa.debian.org/debian/hobbit-plugins
 Homepage: https://salsa.debian.org/debian/hobbit-plugins#readme
@@ -26,8 +26,7 @@
 
 Package: hobbit-plugins
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.7.2)
-Depends: xymon-client (>= 4.3.17-2~),
+Depends: xymon-client,
          ${misc:Depends}
 Recommends: binutils,
             dctrl-tools,
@@ -36,7 +35,7 @@
             libyaml-tiny-perl,
             lsb-release,
             lsof,
-            sudo (>= 1.7.2p1-1)
+            sudo
 Suggests: apt-config-auto-update,
           bzr,
           cciss-vol-status,
@@ -50,6 +49,7 @@
           libfile-which-perl,
           libipc-run-perl,
           liblist-moreutils-perl,
+          libmojolicious-perl,
           libnet-dns-perl,
           libnet-tftp-perl,
           libpoe-component-irc-perl,
@@ -90,9 +90,10 @@
     and libfile-slurp-perl)
   * entropy - check kernel entropy pool size
   * ipmi - read IPMI sensors and event log (needs ipmitool)
+  * kern - check for outdated running kernel and need for reboot (needs
+    binutils, libfile-slurp-perl and libsort-naturally-perl)
   * libs - check for running processes with upgraded libraries (needs
-    binutils, lsof, sudo, libyaml-tiny-perl, libfile-slurp-perl and
-    libsort-naturally-perl)
+    lsof, sudo and libyaml-tiny-perl)
   * mailman - checks the existence of Mailman shunt files and aged
     queue files. (needs sudo)
   * mdstat - check for failed or resyncing RAID devices
@@ -124,8 +125,17 @@
   * pgbouncer - monitor pool usage and traffic
   * tftp - checks TFTP servers by downloading a file from them
     (needs libnet-tftp-perl)
+ * xcl - checks Lenovo XClarity remote management API for hardware
+   failure events (needs libmojolicious-perl and libyaml-tiny-perl)
  .
  Helper software:
   * Hobbit.pm: Perl module for writing plugins
   * xynagios: adaptor for running Nagios plugins with Xymon (needs
     libipc-run-perl)
+ .
+ As not all plugins are needed by everyone, hard dependencies of
+ plugins enabled by default are listed in the Recommends field of the
+ package and dependencies of plugins disabled by default or optional
+ dependencies of single plugins are listed in the Suggests field -- as
+ common with many "collection" style Debian packages. The dependencies
+ of each plugin are listed above in parentheses.

## hobbit-plugins 20230301build1

=== debian/changelog ===
hobbit-plugins (20230301build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Dec 2025 22:38:11 +0000
